# ``twisted`.`conch`.`recvline`.`LocalTerminalBufferMixin``

class documentation

`class LocalTerminalBufferMixin: (source)`

View In Hierarchy

A mixin for RecvLine subclasses which records the state of the terminal.

This is accomplished by performing all `ITerminalTransport` operations on both the transport passed to makeConnection and an instance of helper.TerminalBuffer.

Method | `__str__` | Undocumented
Method | `makeConnection` | Undocumented
Instance Variable | `terminalCopy` | A `helper.TerminalBuffer` instance which efforts will be made to keep up to date with the actual terminal associated with this protocol instance.

def __str__(self): (source)

Undocumented

Returns
`str` | Undocumented

def makeConnection(self, transport): (source)

Undocumented

terminalCopy = (source)
A `helper.TerminalBuffer` instance which efforts will be made to keep up to date with the actual terminal associated with this protocol instance.